Index: trunk/autoquest-plugin-jfc-test/src/test/java/de/ugoe/cs/autoquest/plugin/jfc/JFCSimplifiedLogParserTest.java
===================================================================
--- trunk/autoquest-plugin-jfc-test/src/test/java/de/ugoe/cs/autoquest/plugin/jfc/JFCSimplifiedLogParserTest.java	(revision 1057)
+++ trunk/autoquest-plugin-jfc-test/src/test/java/de/ugoe/cs/autoquest/plugin/jfc/JFCSimplifiedLogParserTest.java	(revision 1058)
@@ -1,2 +1,3 @@
+
 package de.ugoe.cs.autoquest.plugin.jfc;
 
@@ -35,10 +36,45 @@
 
     /**
-     *
+     * Test that parses regular log file.
      */
     @Test
-    public void test() throws Exception {
+    public void testParseRegularLog() throws Exception {
         JFCSimplifiedLogParser parser = new JFCSimplifiedLogParser(null);
-        parser.parseFile(new File(ClassLoader.getSystemResource("newtrace2.log").getFile()));
+        parser.parseFile(new File(ClassLoader.getSystemResource("freemind_regularTrace.xml")
+                                  .getFile()));
+        Collection<List<Event>> events = parser.getSequences();
+
+        assertNotNull(events);
+        assertTrue(events.size() > 0);
+
+        System.err.println("{");
+        for (List<Event> session : events) {
+            System.err.println("  {");
+            for (Event event : session) {
+                System.err.print("    ");
+                System.err.print(event);
+                System.err.println(",");
+            }
+            System.err.println("  }");
+        }
+        System.err.println("}");
+        System.err.println("\n\n");
+
+        GUIModel guiModel = parser.getGuiModel();
+        assertNotNull(guiModel);
+
+        for (IGUIElement root : guiModel.getRootElements()) {
+            dumpGUIElement(root, guiModel, "");
+        }
+    }
+
+    /**
+     * Test that parses a log file that contains events that have no registered targets when parsed.
+     */
+    @Test
+    public void testParseLogEventsWithoutTargets() throws Exception {
+        JFCSimplifiedLogParser parser = new JFCSimplifiedLogParser(null);
+        parser.parseFile(new File(ClassLoader
+                                  .getSystemResource("argouml_traceEventsWithoutTargets.xml").getFile()));
         Collection<List<Event>> events = parser.getSequences();
 
Index: trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/JFCSimplifiedLogParser.java
===================================================================
--- trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/JFCSimplifiedLogParser.java	(revision 1057)
+++ trunk/autoquest-plugin-jfc/src/main/java/de/ugoe/cs/autoquest/plugin/jfc/JFCSimplifiedLogParser.java	(revision 1058)
@@ -274,6 +274,6 @@
         }
         if (!eventsWithoutTargets.isEmpty()) {
-            Console.printerr("Some events reference GUI elments that are not part of logfile. +"
-                + "These events have been ignored.");
+            Console.printerr("Some events reference GUI elements that are not part of logfile. " +
+            		"These events have been parsed without target.");
         }
     }
@@ -406,5 +406,4 @@
                     event.setTarget(guiElement);
                     guiElement.markUsed();
-                    currentSequence.add(event);
                 }
                 eventsWithoutTargets.remove(currentGUIElementHash);
@@ -419,12 +418,9 @@
                 IGUIElement currentGUIElement;
                 currentGUIElement = currentGUIElementTree.find(currentEventSource);
-
+                Event event;
                 // in some rare cases the target GUI element of the event is not
                 // known yet
                 if (currentGUIElement == null) {
-                    Event event =
-                        new Event(instantiateInteraction(currentEventId, currentEventParameters));
-                    event.setTimestamp(currentEventTimestamp);
-
+                    event = new Event(instantiateInteraction(currentEventId, currentEventParameters));
                     List<Event> eventList = eventsWithoutTargets.get(currentEventSource);
                     if (eventList == null) {
@@ -435,13 +431,11 @@
                 }
                 else {
-                    Event event =
-                        new Event(instantiateInteraction(currentEventId, currentEventParameters),
+                    event = new Event(instantiateInteraction(currentEventId, currentEventParameters),
                                   currentGUIElement);
-                    event.setTimestamp(currentEventTimestamp);
                     JFCGUIElement currentEventTarget = (JFCGUIElement) event.getTarget();
                     currentEventTarget.markUsed();
-
-                    currentSequence.add(event);
-                }
+                }
+                event.setTimestamp(currentEventTimestamp);
+                currentSequence.add(event);
 
                 currentEventParameters = null;
